## org.eclipse.datatools.connectivity.oda.design
Interface DesignPackage.Literals

Enclosing interface:
  DesignPackage

    public static interface DesignPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static EClass` `AXIS_ATTRIBUTES` The meta object literal for the '`Axis Attributes`' class.
`static EAttribute` `AXIS_ATTRIBUTES__AXIS_TYPE` The meta object literal for the 'Axis Type' attribute feature.
`static EAttribute` `AXIS_ATTRIBUTES__ON_COLUMN_LAYOUT` The meta object literal for the 'On Column Layout' attribute feature.
`static EEnum` `AXIS_TYPE` The meta object literal for the '`Axis Type`' enum.
`static EDataType` `AXIS_TYPE_OBJECT` The meta object literal for the 'Axis Type Object' data type.
`static EClass` `COLUMN_DEFINITION` The meta object literal for the '`Column Definition`' class.
`static EReference` `COLUMN_DEFINITION__ATTRIBUTES` The meta object literal for the 'Attributes' containment reference feature.
`static EReference` `COLUMN_DEFINITION__MULTI_DIMENSION_ATTRIBUTES` The meta object literal for the 'Multi Dimension Attributes' containment reference feature.
`static EReference` `COLUMN_DEFINITION__USAGE_HINTS` The meta object literal for the 'Usage Hints' containment reference feature.
`static EClass` `DATA_ACCESS_DESIGN` The meta object literal for the '`Data Access Design`' class.
`static EReference` `DATA_ACCESS_DESIGN__DATA_SET_DESIGN` The meta object literal for the 'Data Set Design' containment reference feature.
`static EClass` `DATA_ELEMENT_ATTRIBUTES` The meta object literal for the '`Data Element Attributes`' class.
`static EAttribute` `DATA_ELEMENT_ATTRIBUTES__NAME` The meta object literal for the 'Name' attribute feature.
`static EAttribute` `DATA_ELEMENT_ATTRIBUTES__NATIVE_DATA_TYPE_CODE` The meta object literal for the 'Native Data Type Code' attribute feature.
`static EAttribute` `DATA_ELEMENT_ATTRIBUTES__NULLABILITY` The meta object literal for the 'Nullability' attribute feature.
`static EAttribute` `DATA_ELEMENT_ATTRIBUTES__POSITION` The meta object literal for the 'Position' attribute feature.
`static EAttribute` `DATA_ELEMENT_ATTRIBUTES__PRECISION` The meta object literal for the 'Precision' attribute feature.
`static EAttribute` `DATA_ELEMENT_ATTRIBUTES__SCALE` The meta object literal for the 'Scale' attribute feature.
`static EReference` `DATA_ELEMENT_ATTRIBUTES__UI_HINTS` The meta object literal for the 'Ui Hints' containment reference feature.
`static EClass` `DATA_ELEMENT_UI_HINTS` The meta object literal for the '`Data Element UI Hints`' class.
`static EAttribute` `DATA_ELEMENT_UI_HINTS__DESCRIPTION` The meta object literal for the 'Description' attribute feature.
`static EAttribute` `DATA_ELEMENT_UI_HINTS__DISPLAY_NAME` The meta object literal for the 'Display Name' attribute feature.
`static EClass` `DATA_SET_DESIGN` The meta object literal for the '`Data Set Design`' class.
`static EReference` `DATA_SET_DESIGN__DATA_SOURCE_DESIGN` The meta object literal for the 'Data Source Design' containment reference feature.
`static EAttribute` `DATA_SET_DESIGN__DISPLAY_NAME` The meta object literal for the 'Display Name' attribute feature.
`static EAttribute` `DATA_SET_DESIGN__NAME` The meta object literal for the 'Name' attribute feature.
`static EAttribute` `DATA_SET_DESIGN__ODA_EXTENSION_DATA_SET_ID` The meta object literal for the 'Oda Extension Data Set Id' attribute feature.
`static EReference` `DATA_SET_DESIGN__PARAMETERS` The meta object literal for the 'Parameters' containment reference feature.
`static EAttribute` `DATA_SET_DESIGN__PRIMARY_RESULT_SET_NAME` The meta object literal for the 'Primary Result Set Name' attribute feature.
`static EReference` `DATA_SET_DESIGN__PRIVATE_PROPERTIES` The meta object literal for the 'Private Properties' containment reference feature.
`static EReference` `DATA_SET_DESIGN__PUBLIC_PROPERTIES` The meta object literal for the 'Public Properties' containment reference feature.
`static EReference` `DATA_SET_DESIGN__QUERY` The meta object literal for the 'Query' containment reference feature.
`static EReference` `DATA_SET_DESIGN__RESULT_SETS` The meta object literal for the 'Result Sets' containment reference feature.
`static EClass` `DATA_SET_PARAMETERS` The meta object literal for the '`Data Set Parameters`' class.
`static EAttribute` `DATA_SET_PARAMETERS__DERIVED_META_DATA` The meta object literal for the 'Derived Meta Data' attribute feature.
`static EReference` `DATA_SET_PARAMETERS__PARAMETER_DEFINITIONS` The meta object literal for the 'Parameter Definitions' containment reference list feature.
`static EClass` `DATA_SET_QUERY` The meta object literal for the '`Data Set Query`' class.
`static EAttribute` `DATA_SET_QUERY__QUERY_TEXT` The meta object literal for the 'Query Text' attribute feature.
`static EClass` `DATA_SOURCE_DESIGN` The meta object literal for the '`Data Source Design`' class.
`static EAttribute` `DATA_SOURCE_DESIGN__DISPLAY_NAME` The meta object literal for the 'Display Name' attribute feature.
`static EAttribute` `DATA_SOURCE_DESIGN__LINKED_PROFILE_NAME` The meta object literal for the 'Linked Profile Name' attribute feature.
`static EAttribute` `DATA_SOURCE_DESIGN__LINKED_PROFILE_STORE_FILE_PATH` The meta object literal for the 'Linked Profile Store File Path' attribute feature.
`static EAttribute` `DATA_SOURCE_DESIGN__NAME` The meta object literal for the 'Name' attribute feature.
`static EAttribute` `DATA_SOURCE_DESIGN__ODA_EXTENSION_DATA_SOURCE_ID` The meta object literal for the 'Oda Extension Data Source Id' attribute feature.
`static EAttribute` `DATA_SOURCE_DESIGN__ODA_EXTENSION_ID` The meta object literal for the 'Oda Extension Id' attribute feature.
`static EReference` `DATA_SOURCE_DESIGN__PRIVATE_PROPERTIES` The meta object literal for the 'Private Properties' containment reference feature.
`static EReference` `DATA_SOURCE_DESIGN__PUBLIC_PROPERTIES` The meta object literal for the 'Public Properties' containment reference feature.
`static EClass` `DESIGN_SESSION_REQUEST` The meta object literal for the '`Session Request`' class.
`static EReference` `DESIGN_SESSION_REQUEST__DATA_ACCESS_DESIGN` The meta object literal for the 'Data Access Design' containment reference feature.
`static EReference` `DESIGN_SESSION_REQUEST__DESIGNER_STATE` The meta object literal for the 'Designer State' containment reference feature.
`static EAttribute` `DESIGN_SESSION_REQUEST__EDITABLE` The meta object literal for the 'Editable' attribute feature.
`static EReference` `DESIGN_SESSION_REQUEST__SESSION_LOCALE` The meta object literal for the 'Session Locale' containment reference feature.
`static EClass` `DESIGN_SESSION_RESPONSE` The meta object literal for the '`Session Response`' class.
`static EReference` `DESIGN_SESSION_RESPONSE__DATA_ACCESS_DESIGN` The meta object literal for the 'Data Access Design' containment reference feature.
`static EReference` `DESIGN_SESSION_RESPONSE__DESIGNER_STATE` The meta object literal for the 'Designer State' containment reference feature.
`static EAttribute` `DESIGN_SESSION_RESPONSE__SESSION_STATUS` The meta object literal for the 'Session Status' attribute feature.
`static EClass` `DESIGNER_STATE` The meta object literal for the '`Designer State`' class.
`static EReference` `DESIGNER_STATE__STATE_CONTENT` The meta object literal for the 'State Content' containment reference feature.
`static EAttribute` `DESIGNER_STATE__VERSION` The meta object literal for the 'Version' attribute feature.
`static EClass` `DESIGNER_STATE_CONTENT` The meta object literal for the '`Designer State Content`' class.
`static EAttribute` `DESIGNER_STATE_CONTENT__STATE_CONTENT_AS_BLOB` The meta object literal for the 'State Content As Blob' attribute feature.
`static EAttribute` `DESIGNER_STATE_CONTENT__STATE_CONTENT_AS_STRING` The meta object literal for the 'State Content As String' attribute feature.
`static EClass` `DOCUMENT_ROOT` The meta object literal for the '`Document Root`' class.
`static EAttribute` `DOCUMENT_ROOT__MIXED` The meta object literal for the 'Mixed' attribute list feature.
`static EReference` `DOCUMENT_ROOT__ODA_DESIGN_SESSION` The meta object literal for the 'Oda Design Session' containment reference feature.
`static EReference` `DOCUMENT_ROOT__XMLNS_PREFIX_MAP` The meta object literal for the 'XMLNS Prefix Map' map feature.
`static EReference` `DOCUMENT_ROOT__XSI_SCHEMA_LOCATION` The meta object literal for the 'XSI Schema Location' map feature.
`static EClass` `DYNAMIC_VALUES_QUERY` The meta object literal for the '`Dynamic Values Query`' class.
`static EReference` `DYNAMIC_VALUES_QUERY__DATA_SET_DESIGN` The meta object literal for the 'Data Set Design' containment reference feature.
`static EAttribute` `DYNAMIC_VALUES_QUERY__DISPLAY_NAME_COLUMN` The meta object literal for the 'Display Name Column' attribute feature.
`static EAttribute` `DYNAMIC_VALUES_QUERY__ENABLED` The meta object literal for the 'Enabled' attribute feature.
`static EAttribute` `DYNAMIC_VALUES_QUERY__VALUE_COLUMN` The meta object literal for the 'Value Column' attribute feature.
`static EEnum` `ELEMENT_NULLABILITY` The meta object literal for the '`Element Nullability`' enum.
`static EDataType` `ELEMENT_NULLABILITY_OBJECT` The meta object literal for the 'Element Nullability Object' data type.
`static EEnum` `HORIZONTAL_ALIGNMENT` The meta object literal for the '`Horizontal Alignment`' enum.
`static EDataType` `HORIZONTAL_ALIGNMENT_OBJECT` The meta object literal for the 'Horizontal Alignment Object' data type.
`static EClass` `INPUT_ELEMENT_ATTRIBUTES` The meta object literal for the '`Input Element Attributes`' class.
`static EAttribute` `INPUT_ELEMENT_ATTRIBUTES__DEFAULT_SCALAR_VALUE` The meta object literal for the 'Default Scalar Value' attribute feature.
`static EReference` `INPUT_ELEMENT_ATTRIBUTES__DYNAMIC_VALUE_CHOICES` The meta object literal for the 'Dynamic Value Choices' containment reference feature.
`static EAttribute` `INPUT_ELEMENT_ATTRIBUTES__EDITABLE` The meta object literal for the 'Editable' attribute feature.
`static EAttribute` `INPUT_ELEMENT_ATTRIBUTES__MASKS_VALUE` The meta object literal for the 'Masks Value' attribute feature.
`static EAttribute` `INPUT_ELEMENT_ATTRIBUTES__OPTIONAL` The meta object literal for the 'Optional' attribute feature.
`static EReference` `INPUT_ELEMENT_ATTRIBUTES__STATIC_VALUE_CHOICES` The meta object literal for the 'Static Value Choices' containment reference feature.
`static EReference` `INPUT_ELEMENT_ATTRIBUTES__UI_HINTS` The meta object literal for the 'Ui Hints' containment reference feature.
`static EClass` `INPUT_ELEMENT_UI_HINTS` The meta object literal for the '`Input Element UI Hints`' class.
`static EAttribute` `INPUT_ELEMENT_UI_HINTS__PROMPT_STYLE` The meta object literal for the 'Prompt Style' attribute feature.
`static EClass` `INPUT_PARAMETER_ATTRIBUTES` The meta object literal for the '`Input Parameter Attributes`' class.
`static EReference` `INPUT_PARAMETER_ATTRIBUTES__ELEMENT_ATTRIBUTES` The meta object literal for the 'Element Attributes' containment reference feature.
`static EReference` `INPUT_PARAMETER_ATTRIBUTES__UI_HINTS` The meta object literal for the 'Ui Hints' containment reference feature.
`static EClass` `INPUT_PARAMETER_UI_HINTS` The meta object literal for the '`Input Parameter UI Hints`' class.
`static EAttribute` `INPUT_PARAMETER_UI_HINTS__GROUP_PROMPT_DISPLAY_NAME` The meta object literal for the 'Group Prompt Display Name' attribute feature.
`static EEnum` `INPUT_PROMPT_CONTROL_STYLE` The meta object literal for the '`Input Prompt Control Style`' enum.
`static EDataType` `INPUT_PROMPT_CONTROL_STYLE_OBJECT` The meta object literal for the 'Input Prompt Control Style Object' data type.
`static EClass` `LOCALE` The meta object literal for the '`Locale`' class.
`static EAttribute` `LOCALE__COUNTRY` The meta object literal for the 'Country' attribute feature.
`static EAttribute` `LOCALE__LANGUAGE` The meta object literal for the 'Language' attribute feature.
`static EAttribute` `LOCALE__VARIANT` The meta object literal for the 'Variant' attribute feature.
`static EClass` `NAME_VALUE_PAIR` The meta object literal for the '`Name Value Pair`' class.
`static EAttribute` `NAME_VALUE_PAIR__NAME` The meta object literal for the 'Name' attribute feature.
`static EAttribute` `NAME_VALUE_PAIR__VALUE` The meta object literal for the 'Value' attribute feature.
`static EDataType` `NATIVE_DATA_TYPE_CODE` The meta object literal for the 'Native Data Type Code' data type.
`static EDataType` `NATIVE_DATA_TYPE_CODE_OBJECT` The meta object literal for the 'Native Data Type Code Object' data type.
`static EEnum` `ODA_COMPLEX_DATA_TYPE` The meta object literal for the '`Oda Complex Data Type`' enum.
`static EDataType` `ODA_COMPLEX_DATA_TYPE_OBJECT` The meta object literal for the 'Oda Complex Data Type Object' data type.
`static EClass` `ODA_DESIGN_SESSION` The meta object literal for the '`Oda Design Session`' class.
`static EReference` `ODA_DESIGN_SESSION__REQUEST` The meta object literal for the 'Request' containment reference feature.
`static EReference` `ODA_DESIGN_SESSION__RESPONSE` The meta object literal for the 'Response' containment reference feature.
`static EEnum` `ODA_SCALAR_DATA_TYPE` The meta object literal for the '`Oda Scalar Data Type`' enum.
`static EDataType` `ODA_SCALAR_DATA_TYPE_OBJECT` The meta object literal for the 'Oda Scalar Data Type Object' data type.
`static EClass` `OUTPUT_ELEMENT_ATTRIBUTES` The meta object literal for the '`Output Element Attributes`' class.
`static EReference` `OUTPUT_ELEMENT_ATTRIBUTES__FORMATTING_HINTS` The meta object literal for the 'Formatting Hints' containment reference feature.
`static EAttribute` `OUTPUT_ELEMENT_ATTRIBUTES__HELP_TEXT` The meta object literal for the 'Help Text' attribute feature.
`static EAttribute` `OUTPUT_ELEMENT_ATTRIBUTES__LABEL` The meta object literal for the 'Label' attribute feature.
`static EClass` `PARAMETER_DEFINITION` The meta object literal for the '`Parameter Definition`' class.
`static EReference` `PARAMETER_DEFINITION__ATTRIBUTES` The meta object literal for the 'Attributes' containment reference feature.
`static EReference` `PARAMETER_DEFINITION__FIELDS` The meta object literal for the 'Fields' containment reference feature.
`static EAttribute` `PARAMETER_DEFINITION__IN_OUT_MODE` The meta object literal for the 'In Out Mode' attribute feature.
`static EReference` `PARAMETER_DEFINITION__INPUT_ATTRIBUTES` The meta object literal for the 'Input Attributes' containment reference feature.
`static EReference` `PARAMETER_DEFINITION__OUTPUT_USAGE_HINTS` The meta object literal for the 'Output Usage Hints' containment reference feature.
`static EClass` `PARAMETER_FIELD_DEFINITION` The meta object literal for the '`Parameter Field Definition`' class.
`static EReference` `PARAMETER_FIELD_DEFINITION__ATTRIBUTES` The meta object literal for the 'Attributes' containment reference feature.
`static EReference` `PARAMETER_FIELD_DEFINITION__INPUT_ATTRIBUTES` The meta object literal for the 'Input Attributes' containment reference feature.
`static EReference` `PARAMETER_FIELD_DEFINITION__OUTPUT_USAGE_HINTS` The meta object literal for the 'Output Usage Hints' containment reference feature.
`static EClass` `PARAMETER_FIELDS` The meta object literal for the '`Parameter Fields`' class.
`static EReference` `PARAMETER_FIELDS__FIELD_COLLECTION` The meta object literal for the 'Field Collection' containment reference list feature.
`static EEnum` `PARAMETER_MODE` The meta object literal for the '`Parameter Mode`' enum.
`static EDataType` `PARAMETER_MODE_OBJECT` The meta object literal for the 'Parameter Mode Object' data type.
`static EClass` `PROPERTIES` The meta object literal for the '`Properties`' class.
`static EReference` `PROPERTIES__PROPERTIES` The meta object literal for the 'Properties' containment reference list feature.
`static EClass` `PROPERTY` The meta object literal for the '`Property`' class.
`static EReference` `PROPERTY__DESIGN_ATTRIBUTES` The meta object literal for the 'Design Attributes' containment reference feature.
`static EReference` `PROPERTY__NAME_VALUE` The meta object literal for the 'Name Value' containment reference feature.
`static EClass` `PROPERTY_ATTRIBUTES` The meta object literal for the '`Property Attributes`' class.
`static EAttribute` `PROPERTY_ATTRIBUTES__DERIVED_META_DATA` The meta object literal for the 'Derived Meta Data' attribute feature.
`static EAttribute` `PROPERTY_ATTRIBUTES__DISPLAY_NAME` The meta object literal for the 'Display Name' attribute feature.
`static EReference` `PROPERTY_ATTRIBUTES__ELEMENT_ATTRIBUTES` The meta object literal for the 'Element Attributes' containment reference feature.
`static EClass` `RESULT_SET_COLUMNS` The meta object literal for the '`Result Set Columns`' class.
`static EReference` `RESULT_SET_COLUMNS__RESULT_COLUMN_DEFINITIONS` The meta object literal for the 'Result Column Definitions' containment reference list feature.
`static EClass` `RESULT_SET_DEFINITION` The meta object literal for the '`Result Set Definition`' class.
`static EAttribute` `RESULT_SET_DEFINITION__NAME` The meta object literal for the 'Name' attribute feature.
`static EReference` `RESULT_SET_DEFINITION__RESULT_SET_COLUMNS` The meta object literal for the 'Result Set Columns' containment reference feature.
`static EClass` `RESULT_SETS` The meta object literal for the '`Result Sets`' class.
`static EAttribute` `RESULT_SETS__DERIVED_META_DATA` The meta object literal for the 'Derived Meta Data' attribute feature.
`static EReference` `RESULT_SETS__RESULT_SET_DEFINITIONS` The meta object literal for the 'Result Set Definitions' containment reference list feature.
`static EClass` `SCALAR_VALUE_CHOICES` The meta object literal for the '`Scalar Value Choices`' class.
`static EReference` `SCALAR_VALUE_CHOICES__SCALAR_VALUES` The meta object literal for the 'Scalar Values' containment reference list feature.
`static EClass` `SCALAR_VALUE_DEFINITION` The meta object literal for the '`Scalar Value Definition`' class.
`static EAttribute` `SCALAR_VALUE_DEFINITION__DISPLAY_NAME` The meta object literal for the 'Display Name' attribute feature.
`static EAttribute` `SCALAR_VALUE_DEFINITION__VALUE` The meta object literal for the 'Value' attribute feature.
`static EEnum` `SESSION_STATUS` The meta object literal for the '`Session Status`' enum.
`static EDataType` `SESSION_STATUS_OBJECT` The meta object literal for the 'Session Status Object' data type.
`static EEnum` `TEXT_FORMAT_TYPE` The meta object literal for the '`Text Format Type`' enum.
`static EDataType` `TEXT_FORMAT_TYPE_OBJECT` The meta object literal for the 'Text Format Type Object' data type.
`static EEnum` `TEXT_WRAP_TYPE` The meta object literal for the '`Text Wrap Type`' enum.
`static EDataType` `TEXT_WRAP_TYPE_OBJECT` The meta object literal for the 'Text Wrap Type Object' data type.
`static EClass` `VALUE_FORMAT_HINTS` The meta object literal for the '`Value Format Hints`' class.
`static EAttribute` `VALUE_FORMAT_HINTS__DISPLAY_FORMAT` The meta object literal for the 'Display Format' attribute feature.
`static EAttribute` `VALUE_FORMAT_HINTS__DISPLAY_SIZE` The meta object literal for the 'Display Size' attribute feature.
`static EAttribute` `VALUE_FORMAT_HINTS__HORIZONTAL_ALIGNMENT` The meta object literal for the 'Horizontal Alignment' attribute feature.
`static EAttribute` `VALUE_FORMAT_HINTS__TEXT_FORMAT_TYPE` The meta object literal for the 'Text Format Type' attribute feature.
`static EAttribute` `VALUE_FORMAT_HINTS__TEXT_WRAP_TYPE` The meta object literal for the 'Text Wrap Type' attribute feature.

Field Detail

### AXIS_ATTRIBUTES

    static final EClass AXIS_ATTRIBUTES

  The meta object literal for the '`Axis Attributes`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.AxisAttributesImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getAxisAttributes()`

### AXIS_ATTRIBUTES__AXIS_TYPE

    static final EAttribute AXIS_ATTRIBUTES__AXIS_TYPE

  The meta object literal for the 'Axis Type' attribute feature.

### AXIS_ATTRIBUTES__ON_COLUMN_LAYOUT

    static final EAttribute AXIS_ATTRIBUTES__ON_COLUMN_LAYOUT

  The meta object literal for the 'On Column Layout' attribute feature.

### COLUMN_DEFINITION

    static final EClass COLUMN_DEFINITION

  The meta object literal for the '`Column Definition`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.ColumnDefinitionImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getColumnDefinition()`

### COLUMN_DEFINITION__ATTRIBUTES

    static final EReference COLUMN_DEFINITION__ATTRIBUTES

  The meta object literal for the 'Attributes' containment reference feature.

### COLUMN_DEFINITION__USAGE_HINTS

    static final EReference COLUMN_DEFINITION__USAGE_HINTS

  The meta object literal for the 'Usage Hints' containment reference feature.

### COLUMN_DEFINITION__MULTI_DIMENSION_ATTRIBUTES

    static final EReference COLUMN_DEFINITION__MULTI_DIMENSION_ATTRIBUTES

  The meta object literal for the 'Multi Dimension Attributes' containment reference feature.

### DATA_ACCESS_DESIGN

    static final EClass DATA_ACCESS_DESIGN

  The meta object literal for the '`Data Access Design`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.DataAccessDesignImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getDataAccessDesign()`

### DATA_ACCESS_DESIGN__DATA_SET_DESIGN

    static final EReference DATA_ACCESS_DESIGN__DATA_SET_DESIGN

  The meta object literal for the 'Data Set Design' containment reference feature.

### DATA_ELEMENT_ATTRIBUTES

    static final EClass DATA_ELEMENT_ATTRIBUTES

  The meta object literal for the '`Data Element Attributes`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.DataElementAttributesImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getDataElementAttributes()`

### DATA_ELEMENT_ATTRIBUTES__NAME

    static final EAttribute DATA_ELEMENT_ATTRIBUTES__NAME

  The meta object literal for the 'Name' attribute feature.

### DATA_ELEMENT_ATTRIBUTES__POSITION

    static final EAttribute DATA_ELEMENT_ATTRIBUTES__POSITION

  The meta object literal for the 'Position' attribute feature.

### DATA_ELEMENT_ATTRIBUTES__NATIVE_DATA_TYPE_CODE

    static final EAttribute DATA_ELEMENT_ATTRIBUTES__NATIVE_DATA_TYPE_CODE

  The meta object literal for the 'Native Data Type Code' attribute feature.

### DATA_ELEMENT_ATTRIBUTES__PRECISION

    static final EAttribute DATA_ELEMENT_ATTRIBUTES__PRECISION

  The meta object literal for the 'Precision' attribute feature.

### DATA_ELEMENT_ATTRIBUTES__SCALE

    static final EAttribute DATA_ELEMENT_ATTRIBUTES__SCALE

  The meta object literal for the 'Scale' attribute feature.

### DATA_ELEMENT_ATTRIBUTES__NULLABILITY

    static final EAttribute DATA_ELEMENT_ATTRIBUTES__NULLABILITY

  The meta object literal for the 'Nullability' attribute feature.

### DATA_ELEMENT_ATTRIBUTES__UI_HINTS

    static final EReference DATA_ELEMENT_ATTRIBUTES__UI_HINTS

  The meta object literal for the 'Ui Hints' containment reference feature.

### DATA_ELEMENT_UI_HINTS

    static final EClass DATA_ELEMENT_UI_HINTS

  The meta object literal for the '`Data Element UI Hints`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.DataElementUIHintsImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getDataElementUIHints()`

### DATA_ELEMENT_UI_HINTS__DISPLAY_NAME

    static final EAttribute DATA_ELEMENT_UI_HINTS__DISPLAY_NAME

  The meta object literal for the 'Display Name' attribute feature.

### DATA_ELEMENT_UI_HINTS__DESCRIPTION

    static final EAttribute DATA_ELEMENT_UI_HINTS__DESCRIPTION

  The meta object literal for the 'Description' attribute feature.

### DATA_SET_DESIGN

    static final EClass DATA_SET_DESIGN

  The meta object literal for the '`Data Set Design`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.DataSetDesignImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getDataSetDesign()`

### DATA_SET_DESIGN__NAME

    static final EAttribute DATA_SET_DESIGN__NAME

  The meta object literal for the 'Name' attribute feature.

### DATA_SET_DESIGN__ODA_EXTENSION_DATA_SET_ID

    static final EAttribute DATA_SET_DESIGN__ODA_EXTENSION_DATA_SET_ID

  The meta object literal for the 'Oda Extension Data Set Id' attribute feature.

### DATA_SET_DESIGN__DATA_SOURCE_DESIGN

    static final EReference DATA_SET_DESIGN__DATA_SOURCE_DESIGN

  The meta object literal for the 'Data Source Design' containment reference feature.

### DATA_SET_DESIGN__QUERY

    static final EReference DATA_SET_DESIGN__QUERY

  The meta object literal for the 'Query' containment reference feature.

### DATA_SET_DESIGN__DISPLAY_NAME

    static final EAttribute DATA_SET_DESIGN__DISPLAY_NAME

  The meta object literal for the 'Display Name' attribute feature.

### DATA_SET_DESIGN__PUBLIC_PROPERTIES

    static final EReference DATA_SET_DESIGN__PUBLIC_PROPERTIES

  The meta object literal for the 'Public Properties' containment reference feature.

### DATA_SET_DESIGN__PRIVATE_PROPERTIES

    static final EReference DATA_SET_DESIGN__PRIVATE_PROPERTIES

  The meta object literal for the 'Private Properties' containment reference feature.

### DATA_SET_DESIGN__RESULT_SETS

    static final EReference DATA_SET_DESIGN__RESULT_SETS

  The meta object literal for the 'Result Sets' containment reference feature.

### DATA_SET_DESIGN__PRIMARY_RESULT_SET_NAME

    static final EAttribute DATA_SET_DESIGN__PRIMARY_RESULT_SET_NAME

  The meta object literal for the 'Primary Result Set Name' attribute feature.

### DATA_SET_DESIGN__PARAMETERS

    static final EReference DATA_SET_DESIGN__PARAMETERS

  The meta object literal for the 'Parameters' containment reference feature.

### DATA_SET_PARAMETERS

    static final EClass DATA_SET_PARAMETERS

  The meta object literal for the '`Data Set Parameters`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.DataSetParametersImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getDataSetParameters()`

### DATA_SET_PARAMETERS__PARAMETER_DEFINITIONS

    static final EReference DATA_SET_PARAMETERS__PARAMETER_DEFINITIONS

  The meta object literal for the 'Parameter Definitions' containment reference list feature.

### DATA_SET_PARAMETERS__DERIVED_META_DATA

    static final EAttribute DATA_SET_PARAMETERS__DERIVED_META_DATA

  The meta object literal for the 'Derived Meta Data' attribute feature.

### DATA_SET_QUERY

    static final EClass DATA_SET_QUERY

  The meta object literal for the '`Data Set Query`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.DataSetQueryImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getDataSetQuery()`

### DATA_SET_QUERY__QUERY_TEXT

    static final EAttribute DATA_SET_QUERY__QUERY_TEXT

  The meta object literal for the 'Query Text' attribute feature.

### DATA_SOURCE_DESIGN

    static final EClass DATA_SOURCE_DESIGN

  The meta object literal for the '`Data Source Design`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.DataSourceDesignImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getDataSourceDesign()`

### DATA_SOURCE_DESIGN__NAME

    static final EAttribute DATA_SOURCE_DESIGN__NAME

  The meta object literal for the 'Name' attribute feature.

### DATA_SOURCE_DESIGN__ODA_EXTENSION_ID

    static final EAttribute DATA_SOURCE_DESIGN__ODA_EXTENSION_ID

  The meta object literal for the 'Oda Extension Id' attribute feature.

### DATA_SOURCE_DESIGN__ODA_EXTENSION_DATA_SOURCE_ID

    static final EAttribute DATA_SOURCE_DESIGN__ODA_EXTENSION_DATA_SOURCE_ID

  The meta object literal for the 'Oda Extension Data Source Id' attribute feature.

### DATA_SOURCE_DESIGN__DISPLAY_NAME

    static final EAttribute DATA_SOURCE_DESIGN__DISPLAY_NAME

  The meta object literal for the 'Display Name' attribute feature.

### DATA_SOURCE_DESIGN__PUBLIC_PROPERTIES

    static final EReference DATA_SOURCE_DESIGN__PUBLIC_PROPERTIES

  The meta object literal for the 'Public Properties' containment reference feature.

### DATA_SOURCE_DESIGN__PRIVATE_PROPERTIES

    static final EReference DATA_SOURCE_DESIGN__PRIVATE_PROPERTIES

  The meta object literal for the 'Private Properties' containment reference feature.

### DATA_SOURCE_DESIGN__LINKED_PROFILE_NAME

    static final EAttribute DATA_SOURCE_DESIGN__LINKED_PROFILE_NAME

  The meta object literal for the 'Linked Profile Name' attribute feature.

### DATA_SOURCE_DESIGN__LINKED_PROFILE_STORE_FILE_PATH

    static final EAttribute DATA_SOURCE_DESIGN__LINKED_PROFILE_STORE_FILE_PATH

  The meta object literal for the 'Linked Profile Store File Path' attribute feature.

### DESIGNER_STATE

    static final EClass DESIGNER_STATE

  The meta object literal for the '`Designer State`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.DesignerStateImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getDesignerState()`

### DESIGNER_STATE__VERSION

    static final EAttribute DESIGNER_STATE__VERSION

  The meta object literal for the 'Version' attribute feature.

### DESIGNER_STATE__STATE_CONTENT

    static final EReference DESIGNER_STATE__STATE_CONTENT

  The meta object literal for the 'State Content' containment reference feature.

### DESIGNER_STATE_CONTENT

    static final EClass DESIGNER_STATE_CONTENT

  The meta object literal for the '`Designer State Content`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.DesignerStateContentImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getDesignerStateContent()`

### DESIGNER_STATE_CONTENT__STATE_CONTENT_AS_STRING

    static final EAttribute DESIGNER_STATE_CONTENT__STATE_CONTENT_AS_STRING

  The meta object literal for the 'State Content As String' attribute feature.

### DESIGNER_STATE_CONTENT__STATE_CONTENT_AS_BLOB

    static final EAttribute DESIGNER_STATE_CONTENT__STATE_CONTENT_AS_BLOB

  The meta object literal for the 'State Content As Blob' attribute feature.

### DESIGN_SESSION_REQUEST

    static final EClass DESIGN_SESSION_REQUEST

  The meta object literal for the '`Session Request`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.DesignSessionRequestImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getDesignSessionRequest()`

### DESIGN_SESSION_REQUEST__DATA_ACCESS_DESIGN

    static final EReference DESIGN_SESSION_REQUEST__DATA_ACCESS_DESIGN

  The meta object literal for the 'Data Access Design' containment reference feature.

### DESIGN_SESSION_REQUEST__EDITABLE

    static final EAttribute DESIGN_SESSION_REQUEST__EDITABLE

  The meta object literal for the 'Editable' attribute feature.

### DESIGN_SESSION_REQUEST__SESSION_LOCALE

    static final EReference DESIGN_SESSION_REQUEST__SESSION_LOCALE

  The meta object literal for the 'Session Locale' containment reference feature.

### DESIGN_SESSION_REQUEST__DESIGNER_STATE

    static final EReference DESIGN_SESSION_REQUEST__DESIGNER_STATE

  The meta object literal for the 'Designer State' containment reference feature.

### DESIGN_SESSION_RESPONSE

    static final EClass DESIGN_SESSION_RESPONSE

  The meta object literal for the '`Session Response`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.DesignSessionResponseImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getDesignSessionResponse()`

### DESIGN_SESSION_RESPONSE__SESSION_STATUS

    static final EAttribute DESIGN_SESSION_RESPONSE__SESSION_STATUS

  The meta object literal for the 'Session Status' attribute feature.

### DESIGN_SESSION_RESPONSE__DATA_ACCESS_DESIGN

    static final EReference DESIGN_SESSION_RESPONSE__DATA_ACCESS_DESIGN

  The meta object literal for the 'Data Access Design' containment reference feature.

### DESIGN_SESSION_RESPONSE__DESIGNER_STATE

    static final EReference DESIGN_SESSION_RESPONSE__DESIGNER_STATE

  The meta object literal for the 'Designer State' containment reference feature.

### DOCUMENT_ROOT

    static final EClass DOCUMENT_ROOT

  The meta object literal for the '`Document Root`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.DocumentRootImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getDocumentRoot()`

### DOCUMENT_ROOT__MIXED

    static final EAttribute DOCUMENT_ROOT__MIXED

  The meta object literal for the 'Mixed' attribute list feature.

### DOCUMENT_ROOT__XMLNS_PREFIX_MAP

    static final EReference DOCUMENT_ROOT__XMLNS_PREFIX_MAP

  The meta object literal for the 'XMLNS Prefix Map' map feature.

### DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

    static final EReference DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

  The meta object literal for the 'XSI Schema Location' map feature.

### DOCUMENT_ROOT__ODA_DESIGN_SESSION

    static final EReference DOCUMENT_ROOT__ODA_DESIGN_SESSION

  The meta object literal for the 'Oda Design Session' containment reference feature.

### DYNAMIC_VALUES_QUERY

    static final EClass DYNAMIC_VALUES_QUERY

  The meta object literal for the '`Dynamic Values Query`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.DynamicValuesQueryImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getDynamicValuesQuery()`

### DYNAMIC_VALUES_QUERY__DATA_SET_DESIGN

    static final EReference DYNAMIC_VALUES_QUERY__DATA_SET_DESIGN

  The meta object literal for the 'Data Set Design' containment reference feature.

### DYNAMIC_VALUES_QUERY__ENABLED

    static final EAttribute DYNAMIC_VALUES_QUERY__ENABLED

  The meta object literal for the 'Enabled' attribute feature.

### DYNAMIC_VALUES_QUERY__VALUE_COLUMN

    static final EAttribute DYNAMIC_VALUES_QUERY__VALUE_COLUMN

  The meta object literal for the 'Value Column' attribute feature.

### DYNAMIC_VALUES_QUERY__DISPLAY_NAME_COLUMN

    static final EAttribute DYNAMIC_VALUES_QUERY__DISPLAY_NAME_COLUMN

  The meta object literal for the 'Display Name Column' attribute feature.

### INPUT_ELEMENT_ATTRIBUTES

    static final EClass INPUT_ELEMENT_ATTRIBUTES

  The meta object literal for the '`Input Element Attributes`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.InputElementAttributesImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getInputElementAttributes()`

### INPUT_ELEMENT_ATTRIBUTES__DEFAULT_SCALAR_VALUE

    static final EAttribute INPUT_ELEMENT_ATTRIBUTES__DEFAULT_SCALAR_VALUE

  The meta object literal for the 'Default Scalar Value' attribute feature.

### INPUT_ELEMENT_ATTRIBUTES__EDITABLE

    static final EAttribute INPUT_ELEMENT_ATTRIBUTES__EDITABLE

  The meta object literal for the 'Editable' attribute feature.

### INPUT_ELEMENT_ATTRIBUTES__OPTIONAL

    static final EAttribute INPUT_ELEMENT_ATTRIBUTES__OPTIONAL

  The meta object literal for the 'Optional' attribute feature.

### INPUT_ELEMENT_ATTRIBUTES__MASKS_VALUE

    static final EAttribute INPUT_ELEMENT_ATTRIBUTES__MASKS_VALUE

  The meta object literal for the 'Masks Value' attribute feature.

### INPUT_ELEMENT_ATTRIBUTES__STATIC_VALUE_CHOICES

    static final EReference INPUT_ELEMENT_ATTRIBUTES__STATIC_VALUE_CHOICES

  The meta object literal for the 'Static Value Choices' containment reference feature.

### INPUT_ELEMENT_ATTRIBUTES__DYNAMIC_VALUE_CHOICES

    static final EReference INPUT_ELEMENT_ATTRIBUTES__DYNAMIC_VALUE_CHOICES

  The meta object literal for the 'Dynamic Value Choices' containment reference feature.

### INPUT_ELEMENT_ATTRIBUTES__UI_HINTS

    static final EReference INPUT_ELEMENT_ATTRIBUTES__UI_HINTS

  The meta object literal for the 'Ui Hints' containment reference feature.

### INPUT_ELEMENT_UI_HINTS

    static final EClass INPUT_ELEMENT_UI_HINTS

  The meta object literal for the '`Input Element UI Hints`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.InputElementUIHintsImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getInputElementUIHints()`

### INPUT_ELEMENT_UI_HINTS__PROMPT_STYLE

    static final EAttribute INPUT_ELEMENT_UI_HINTS__PROMPT_STYLE

  The meta object literal for the 'Prompt Style' attribute feature.

### INPUT_PARAMETER_ATTRIBUTES

    static final EClass INPUT_PARAMETER_ATTRIBUTES

  The meta object literal for the '`Input Parameter Attributes`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.InputParameterAttributesImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getInputParameterAttributes()`

### INPUT_PARAMETER_ATTRIBUTES__ELEMENT_ATTRIBUTES

    static final EReference INPUT_PARAMETER_ATTRIBUTES__ELEMENT_ATTRIBUTES

  The meta object literal for the 'Element Attributes' containment reference feature.

### INPUT_PARAMETER_ATTRIBUTES__UI_HINTS

    static final EReference INPUT_PARAMETER_ATTRIBUTES__UI_HINTS

  The meta object literal for the 'Ui Hints' containment reference feature.

### INPUT_PARAMETER_UI_HINTS

    static final EClass INPUT_PARAMETER_UI_HINTS

  The meta object literal for the '`Input Parameter UI Hints`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.InputParameterUIHintsImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getInputParameterUIHints()`

### INPUT_PARAMETER_UI_HINTS__GROUP_PROMPT_DISPLAY_NAME

    static final EAttribute INPUT_PARAMETER_UI_HINTS__GROUP_PROMPT_DISPLAY_NAME

  The meta object literal for the 'Group Prompt Display Name' attribute feature.

### LOCALE

    static final EClass LOCALE

  The meta object literal for the '`Locale`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.LocaleImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getLocale()`

### LOCALE__LANGUAGE

    static final EAttribute LOCALE__LANGUAGE

  The meta object literal for the 'Language' attribute feature.

### LOCALE__COUNTRY

    static final EAttribute LOCALE__COUNTRY

  The meta object literal for the 'Country' attribute feature.

### LOCALE__VARIANT

    static final EAttribute LOCALE__VARIANT

  The meta object literal for the 'Variant' attribute feature.

### NAME_VALUE_PAIR

    static final EClass NAME_VALUE_PAIR

  The meta object literal for the '`Name Value Pair`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.NameValuePairImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getNameValuePair()`

### NAME_VALUE_PAIR__NAME

    static final EAttribute NAME_VALUE_PAIR__NAME

  The meta object literal for the 'Name' attribute feature.

### NAME_VALUE_PAIR__VALUE

    static final EAttribute NAME_VALUE_PAIR__VALUE

  The meta object literal for the 'Value' attribute feature.

### ODA_DESIGN_SESSION

    static final EClass ODA_DESIGN_SESSION

  The meta object literal for the '`Oda Design Session`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.OdaDesignSessionImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getOdaDesignSession()`

### ODA_DESIGN_SESSION__REQUEST

    static final EReference ODA_DESIGN_SESSION__REQUEST

  The meta object literal for the 'Request' containment reference feature.

### ODA_DESIGN_SESSION__RESPONSE

    static final EReference ODA_DESIGN_SESSION__RESPONSE

  The meta object literal for the 'Response' containment reference feature.

### OUTPUT_ELEMENT_ATTRIBUTES

    static final EClass OUTPUT_ELEMENT_ATTRIBUTES

  The meta object literal for the '`Output Element Attributes`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.OutputElementAttributesImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getOutputElementAttributes()`

### OUTPUT_ELEMENT_ATTRIBUTES__LABEL

    static final EAttribute OUTPUT_ELEMENT_ATTRIBUTES__LABEL

  The meta object literal for the 'Label' attribute feature.

### OUTPUT_ELEMENT_ATTRIBUTES__FORMATTING_HINTS

    static final EReference OUTPUT_ELEMENT_ATTRIBUTES__FORMATTING_HINTS

  The meta object literal for the 'Formatting Hints' containment reference feature.

### OUTPUT_ELEMENT_ATTRIBUTES__HELP_TEXT

    static final EAttribute OUTPUT_ELEMENT_ATTRIBUTES__HELP_TEXT

  The meta object literal for the 'Help Text' attribute feature.

### PARAMETER_DEFINITION

    static final EClass PARAMETER_DEFINITION

  The meta object literal for the '`Parameter Definition`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.ParameterDefinitionImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getParameterDefinition()`

### PARAMETER_DEFINITION__IN_OUT_MODE

    static final EAttribute PARAMETER_DEFINITION__IN_OUT_MODE

  The meta object literal for the 'In Out Mode' attribute feature.

### PARAMETER_DEFINITION__ATTRIBUTES

    static final EReference PARAMETER_DEFINITION__ATTRIBUTES

  The meta object literal for the 'Attributes' containment reference feature.

### PARAMETER_DEFINITION__INPUT_ATTRIBUTES

    static final EReference PARAMETER_DEFINITION__INPUT_ATTRIBUTES

  The meta object literal for the 'Input Attributes' containment reference feature.

### PARAMETER_DEFINITION__OUTPUT_USAGE_HINTS

    static final EReference PARAMETER_DEFINITION__OUTPUT_USAGE_HINTS

  The meta object literal for the 'Output Usage Hints' containment reference feature.

### PARAMETER_DEFINITION__FIELDS

    static final EReference PARAMETER_DEFINITION__FIELDS

  The meta object literal for the 'Fields' containment reference feature.

### PARAMETER_FIELD_DEFINITION

    static final EClass PARAMETER_FIELD_DEFINITION

  The meta object literal for the '`Parameter Field Definition`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.ParameterFieldDefinitionImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getParameterFieldDefinition()`

### PARAMETER_FIELD_DEFINITION__ATTRIBUTES

    static final EReference PARAMETER_FIELD_DEFINITION__ATTRIBUTES

  The meta object literal for the 'Attributes' containment reference feature.

### PARAMETER_FIELD_DEFINITION__INPUT_ATTRIBUTES

    static final EReference PARAMETER_FIELD_DEFINITION__INPUT_ATTRIBUTES

  The meta object literal for the 'Input Attributes' containment reference feature.

### PARAMETER_FIELD_DEFINITION__OUTPUT_USAGE_HINTS

    static final EReference PARAMETER_FIELD_DEFINITION__OUTPUT_USAGE_HINTS

  The meta object literal for the 'Output Usage Hints' containment reference feature.

### PARAMETER_FIELDS

    static final EClass PARAMETER_FIELDS

  The meta object literal for the '`Parameter Fields`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.ParameterFieldsImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getParameterFields()`

### PARAMETER_FIELDS__FIELD_COLLECTION

    static final EReference PARAMETER_FIELDS__FIELD_COLLECTION

  The meta object literal for the 'Field Collection' containment reference list feature.

### PROPERTIES

    static final EClass PROPERTIES

  The meta object literal for the '`Properties`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.PropertiesImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getProperties()`

### PROPERTIES__PROPERTIES

    static final EReference PROPERTIES__PROPERTIES

  The meta object literal for the 'Properties' containment reference list feature.

### PROPERTY

    static final EClass PROPERTY

  The meta object literal for the '`Property`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.PropertyImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getProperty()`

### PROPERTY__NAME_VALUE

    static final EReference PROPERTY__NAME_VALUE

  The meta object literal for the 'Name Value' containment reference feature.

### PROPERTY__DESIGN_ATTRIBUTES

    static final EReference PROPERTY__DESIGN_ATTRIBUTES

  The meta object literal for the 'Design Attributes' containment reference feature.

### PROPERTY_ATTRIBUTES

    static final EClass PROPERTY_ATTRIBUTES

  The meta object literal for the '`Property Attributes`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.PropertyAttributesImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getPropertyAttributes()`

### PROPERTY_ATTRIBUTES__DISPLAY_NAME

    static final EAttribute PROPERTY_ATTRIBUTES__DISPLAY_NAME

  The meta object literal for the 'Display Name' attribute feature.

### PROPERTY_ATTRIBUTES__ELEMENT_ATTRIBUTES

    static final EReference PROPERTY_ATTRIBUTES__ELEMENT_ATTRIBUTES

  The meta object literal for the 'Element Attributes' containment reference feature.

### PROPERTY_ATTRIBUTES__DERIVED_META_DATA

    static final EAttribute PROPERTY_ATTRIBUTES__DERIVED_META_DATA

  The meta object literal for the 'Derived Meta Data' attribute feature.

### RESULT_SET_COLUMNS

    static final EClass RESULT_SET_COLUMNS

  The meta object literal for the '`Result Set Columns`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.ResultSetColumnsImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getResultSetColumns()`

### RESULT_SET_COLUMNS__RESULT_COLUMN_DEFINITIONS

    static final EReference RESULT_SET_COLUMNS__RESULT_COLUMN_DEFINITIONS

  The meta object literal for the 'Result Column Definitions' containment reference list feature.

### RESULT_SET_DEFINITION

    static final EClass RESULT_SET_DEFINITION

  The meta object literal for the '`Result Set Definition`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.ResultSetDefinitionImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getResultSetDefinition()`

### RESULT_SET_DEFINITION__NAME

    static final EAttribute RESULT_SET_DEFINITION__NAME

  The meta object literal for the 'Name' attribute feature.

### RESULT_SET_DEFINITION__RESULT_SET_COLUMNS

    static final EReference RESULT_SET_DEFINITION__RESULT_SET_COLUMNS

  The meta object literal for the 'Result Set Columns' containment reference feature.

### RESULT_SETS

    static final EClass RESULT_SETS

  The meta object literal for the '`Result Sets`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.ResultSetsImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getResultSets()`

### RESULT_SETS__RESULT_SET_DEFINITIONS

    static final EReference RESULT_SETS__RESULT_SET_DEFINITIONS

  The meta object literal for the 'Result Set Definitions' containment reference list feature.

### RESULT_SETS__DERIVED_META_DATA

    static final EAttribute RESULT_SETS__DERIVED_META_DATA

  The meta object literal for the 'Derived Meta Data' attribute feature.

### SCALAR_VALUE_CHOICES

    static final EClass SCALAR_VALUE_CHOICES

  The meta object literal for the '`Scalar Value Choices`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.ScalarValueChoicesImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getScalarValueChoices()`

### SCALAR_VALUE_CHOICES__SCALAR_VALUES

    static final EReference SCALAR_VALUE_CHOICES__SCALAR_VALUES

  The meta object literal for the 'Scalar Values' containment reference list feature.

### SCALAR_VALUE_DEFINITION

    static final EClass SCALAR_VALUE_DEFINITION

  The meta object literal for the '`Scalar Value Definition`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.ScalarValueDefinitionImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getScalarValueDefinition()`

### SCALAR_VALUE_DEFINITION__VALUE

    static final EAttribute SCALAR_VALUE_DEFINITION__VALUE

  The meta object literal for the 'Value' attribute feature.

### SCALAR_VALUE_DEFINITION__DISPLAY_NAME

    static final EAttribute SCALAR_VALUE_DEFINITION__DISPLAY_NAME

  The meta object literal for the 'Display Name' attribute feature.

### VALUE_FORMAT_HINTS

    static final EClass VALUE_FORMAT_HINTS

  The meta object literal for the '`Value Format Hints`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.ValueFormatHintsImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getValueFormatHints()`

### VALUE_FORMAT_HINTS__DISPLAY_SIZE

    static final EAttribute VALUE_FORMAT_HINTS__DISPLAY_SIZE

  The meta object literal for the 'Display Size' attribute feature.

### VALUE_FORMAT_HINTS__DISPLAY_FORMAT

    static final EAttribute VALUE_FORMAT_HINTS__DISPLAY_FORMAT

  The meta object literal for the 'Display Format' attribute feature.

### VALUE_FORMAT_HINTS__TEXT_FORMAT_TYPE

    static final EAttribute VALUE_FORMAT_HINTS__TEXT_FORMAT_TYPE

  The meta object literal for the 'Text Format Type' attribute feature.

### VALUE_FORMAT_HINTS__HORIZONTAL_ALIGNMENT

    static final EAttribute VALUE_FORMAT_HINTS__HORIZONTAL_ALIGNMENT

  The meta object literal for the 'Horizontal Alignment' attribute feature.

### VALUE_FORMAT_HINTS__TEXT_WRAP_TYPE

    static final EAttribute VALUE_FORMAT_HINTS__TEXT_WRAP_TYPE

  The meta object literal for the 'Text Wrap Type' attribute feature.

### AXIS_TYPE

    static final EEnum AXIS_TYPE

  The meta object literal for the '`Axis Type`' enum.

  See Also:
    `AxisType`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getAxisType()`

### ELEMENT_NULLABILITY

    static final EEnum ELEMENT_NULLABILITY

  The meta object literal for the '`Element Nullability`' enum.

  See Also:
    `ElementNullability`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getElementNullability()`

### HORIZONTAL_ALIGNMENT

    static final EEnum HORIZONTAL_ALIGNMENT

  The meta object literal for the '`Horizontal Alignment`' enum.

  See Also:
    `HorizontalAlignment`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getHorizontalAlignment()`

### INPUT_PROMPT_CONTROL_STYLE

    static final EEnum INPUT_PROMPT_CONTROL_STYLE

  The meta object literal for the '`Input Prompt Control Style`' enum.

  See Also:
    `InputPromptControlStyle`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getInputPromptControlStyle()`

### ODA_COMPLEX_DATA_TYPE

    static final EEnum ODA_COMPLEX_DATA_TYPE

  The meta object literal for the '`Oda Complex Data Type`' enum.

  See Also:
    `OdaComplexDataType`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getOdaComplexDataType()`

### ODA_SCALAR_DATA_TYPE

    static final EEnum ODA_SCALAR_DATA_TYPE

  The meta object literal for the '`Oda Scalar Data Type`' enum.

  See Also:
    `OdaScalarDataType`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getOdaScalarDataType()`

### PARAMETER_MODE

    static final EEnum PARAMETER_MODE

  The meta object literal for the '`Parameter Mode`' enum.

  See Also:
    `ParameterMode`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getParameterMode()`

### SESSION_STATUS

    static final EEnum SESSION_STATUS

  The meta object literal for the '`Session Status`' enum.

  See Also:
    `SessionStatus`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getSessionStatus()`

### TEXT_FORMAT_TYPE

    static final EEnum TEXT_FORMAT_TYPE

  The meta object literal for the '`Text Format Type`' enum.

  See Also:
    `TextFormatType`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getTextFormatType()`

### TEXT_WRAP_TYPE

    static final EEnum TEXT_WRAP_TYPE

  The meta object literal for the '`Text Wrap Type`' enum.

  See Also:
    `TextWrapType`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getTextWrapType()`

### AXIS_TYPE_OBJECT

    static final EDataType AXIS_TYPE_OBJECT

  The meta object literal for the 'Axis Type Object' data type.

  See Also:
    `org.eclipse.emf.common.util.AbstractEnumerator`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getAxisTypeObject()`

### ELEMENT_NULLABILITY_OBJECT

    static final EDataType ELEMENT_NULLABILITY_OBJECT

  The meta object literal for the 'Element Nullability Object' data type.

  See Also:
    `org.eclipse.emf.common.util.AbstractEnumerator`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getElementNullabilityObject()`

### HORIZONTAL_ALIGNMENT_OBJECT

    static final EDataType HORIZONTAL_ALIGNMENT_OBJECT

  The meta object literal for the 'Horizontal Alignment Object' data type.

  See Also:
    `org.eclipse.emf.common.util.AbstractEnumerator`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getHorizontalAlignmentObject()`

### INPUT_PROMPT_CONTROL_STYLE_OBJECT

    static final EDataType INPUT_PROMPT_CONTROL_STYLE_OBJECT

  The meta object literal for the 'Input Prompt Control Style Object' data type.

  See Also:
    `org.eclipse.emf.common.util.AbstractEnumerator`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getInputPromptControlStyleObject()`

### NATIVE_DATA_TYPE_CODE

    static final EDataType NATIVE_DATA_TYPE_CODE

  The meta object literal for the 'Native Data Type Code' data type.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getNativeDataTypeCode()`

### NATIVE_DATA_TYPE_CODE_OBJECT

    static final EDataType NATIVE_DATA_TYPE_CODE_OBJECT

  The meta object literal for the 'Native Data Type Code Object' data type.

  See Also:
    `Integer`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getNativeDataTypeCodeObject()`

### ODA_COMPLEX_DATA_TYPE_OBJECT

    static final EDataType ODA_COMPLEX_DATA_TYPE_OBJECT

  The meta object literal for the 'Oda Complex Data Type Object' data type.

  See Also:
    `org.eclipse.emf.common.util.AbstractEnumerator`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getOdaComplexDataTypeObject()`

### ODA_SCALAR_DATA_TYPE_OBJECT

    static final EDataType ODA_SCALAR_DATA_TYPE_OBJECT

  The meta object literal for the 'Oda Scalar Data Type Object' data type.

  See Also:
    `org.eclipse.emf.common.util.AbstractEnumerator`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getOdaScalarDataTypeObject()`

### PARAMETER_MODE_OBJECT

    static final EDataType PARAMETER_MODE_OBJECT

  The meta object literal for the 'Parameter Mode Object' data type.

  See Also:
    `org.eclipse.emf.common.util.AbstractEnumerator`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getParameterModeObject()`

### SESSION_STATUS_OBJECT

    static final EDataType SESSION_STATUS_OBJECT

  The meta object literal for the 'Session Status Object' data type.

  See Also:
    `org.eclipse.emf.common.util.AbstractEnumerator`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getSessionStatusObject()`

### TEXT_FORMAT_TYPE_OBJECT

    static final EDataType TEXT_FORMAT_TYPE_OBJECT

  The meta object literal for the 'Text Format Type Object' data type.

  See Also:
    `org.eclipse.emf.common.util.AbstractEnumerator`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getTextFormatTypeObject()`

### TEXT_WRAP_TYPE_OBJECT

    static final EDataType TEXT_WRAP_TYPE_OBJECT

  The meta object literal for the 'Text Wrap Type Object' data type.

  See Also:
    `org.eclipse.emf.common.util.AbstractEnumerator`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getTextWrapTypeObject()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.